---
title: Optimization and performance
slug: Web/Guide/Performance
tags:
  - Landing
  - Optimization
  - Performance
  - Web
---
<p>When building modern Web apps and sites, it's important to make your content perform well. That is, to make it work quickly and efficiently. This lets it work effectively both for users of powerful desktop systems as well as for handheld devices with less power.  There are several tools available to check the performance of a website or blog. The most notable tools are listed below.</p>

<ul>
 <li><a href="https://developers.google.com/speed/pagespeed/insights/" rel="resources">Google PageSpeed Insights</a></li>
 <li><a href="https://developers.google.com/web/tools/lighthouse/">Lighthouse</a></li>
 <li><a href="https://www.webpagetest.org/">WebPageTest</a></li>
 <li>Browser developer tools</li>
</ul>

<p>The above resources also include web performance best practices. Making web performance a priority by considering web performance throughout the development process is important in ensuring users get the best user experience possible.</p>

<p>{{LandingPageListSubpages}}</p>
